


echo "Composing venv"
if [ ! -d "venv" ]; then
    python -m venv venv
else
    echo "venv folder already exists, skipping making new venv..."
fi
source ./venv/bin/activate

pip3 install torch==2.2.0 torchvision torchaudio --index-url https://download.pytorch.org/whl/cu121 --upgrade
pip install bitsandbytes
pip install transformers
pip install xformers==0.0.24 --upgrade
pip install sentencepiece
pip install opencv-python
pip install numpy==1.26.4

echo "Installing triton-2.1.0"

pip install triton

echo "Installing requirements"

pip install deepspeed
pip install gradio

echo "All install completed. Please verify no errors"
